/*
 *    GUIUtils.java
 *    Copyright (C) 2007 University of Waikato, Hamilton, New Zealand
 *    @author Richard Kirkby (rkirkby@cs.waikato.ac.nz)
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program. If not, see <http://www.gnu.org/licenses/>.
 *    
 */
package moa.gui;

import java.awt.Component;
import java.awt.Dimension;

import javax.swing.JOptionPane;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import moa.core.MiscUtils;

/**
 * This class offers util methods for displaying dialogs showing errors or exceptions.
 *
 * @author Richard Kirkby (rkirkby@cs.waikato.ac.nz)
 * @version $Revision: 7 $
 */
public class GUIUtils {

    public static void showErrorDialog(Component parent, String title,
            String message) {
        JTextArea messagePanel = new JTextArea(message);
        JScrollPane messageScroll = new JScrollPane(messagePanel);
        messageScroll.setPreferredSize(new Dimension(400, 100));
        JOptionPane.showMessageDialog(parent, messageScroll, title,
                JOptionPane.ERROR_MESSAGE);
    }

    public static void showExceptionDialog(Component parent, String title,
            Exception ex) {
        showErrorDialog(parent, title, ex.getMessage() + "\n\n"
                + MiscUtils.getStackTraceString(ex));
    }
}
