/*
 *    ClusteringTabPanel.java
 *    Copyright (C) 2010 RWTH Aachen University, Germany
 *    @author Jansen (moa@cs.rwth-aachen.de)
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program. If not, see <http://www.gnu.org/licenses/>.
 *    
 */

package moa.gui.clustertab;

import moa.gui.AbstractTabPanel;

public class ClusteringTabPanel extends AbstractTabPanel{

    /** Creates new form ClusterTab */
    public ClusteringTabPanel() {
        initComponents();
        clusteringVisualTab.setClusteringSetupTab(clusteringSetupTab);
        clusteringSetupTab.addButtonActionListener(clusteringVisualTab);
        clusteringSetupTab.setClusteringTab(this);
    }

    void toggle() {
        clusteringVisualTab.toggleVisualizer(false);
    }

    void stop() {
        clusteringVisualTab.stopVisualizer();
    }

    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        clusteringSetupTab = new moa.gui.clustertab.ClusteringSetupTab();
        clusteringVisualTab = new moa.gui.clustertab.ClusteringVisualTab();

        setLayout(new java.awt.BorderLayout());

        jTabbedPane1.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jTabbedPane1MouseClicked(evt);
            }
        });
        jTabbedPane1.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                jTabbedPane1FocusGained(evt);
            }
        });
        jTabbedPane1.addTab("Setup", clusteringSetupTab);
        jTabbedPane1.addTab("Visualization", clusteringVisualTab);

        add(jTabbedPane1, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents

    private void jTabbedPane1FocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jTabbedPane1FocusGained
        
    }//GEN-LAST:event_jTabbedPane1FocusGained

    private void jTabbedPane1MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jTabbedPane1MouseClicked
        
    }//GEN-LAST:event_jTabbedPane1MouseClicked



    // Variables declaration - do not modify//GEN-BEGIN:variables
    private moa.gui.clustertab.ClusteringSetupTab clusteringSetupTab;
    private moa.gui.clustertab.ClusteringVisualTab clusteringVisualTab;
    private javax.swing.JTabbedPane jTabbedPane1;
    // End of variables declaration//GEN-END:variables

    //returns the string to display as title of the tab
    public String getTabTitle() {
            return "Clustering";
    }

    //a short description (can be used as tool tip) of the tab, or contributor, etc.
    public String getDescription(){
            return "MOA Clustering";
    }


}
